#!/bin/bash
set -o errexit
set -o nounset
set -o pipefail

cd $WORKSPACE
echo "Info: Java version"
echo "----------------------------------------------------"
java -version
echo "----------------------------------------------------"
echo "Downloading Maven $MVN_VERSION from $MVN_URL"
wget -q $MVN_URL && unzip -qq apache-maven-${MVN_VERSION}-bin.zip
echo "Info: Maven version"
echo "----------------------------------------------------"
$MVN -version
echo "----------------------------------------------------"
echo "Proceeding with unit test"
echo "----------------------------------------------------"
$MVN clean install -B -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=warn